Bug 804948 - Simple patch cleanup, fix technical format of patch, no code change
Simple patch cleanup, fix technical format of patch, no code change
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nss (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Elio Maldonado Batiz
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 05:37 EDT by Kai Engert (:kaie)
Modified: 2012-10-25 13:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-25 13:52:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (769 bytes, patch)
2012-03-20 05:37 EDT, Kai Engert (:kaie)
no flags Details | Diff

  None (edit)
Description Kai Engert (:kaie) 2012-03-20 05:37:43 EDT
Created attachment 571325 [details]
Patch

On branch RHEL-6.3, file
  Bug-797426-protect-against-calls-before-nss_init.patch
has a small bug, which might have been introduced when manually editing the patch.

The problem is in the file path header, where it lists old and new file names:

--- mozilla/security/nss/lib/nss/nssinit.c      18 Oct 2011 19:03:31 -0000      1.114
+++ /mozilla/security/nss/lib/nss/nssinit.c      25 Jan 2012 19:54:07 -0000


The problem is the second line, which starts with a slash /

Because of this slash, when trying to apply this patch on a Fedora system, the patch tool reports an error message. In the RHEL environment, the patch probably has been applied fine.


This little detail should be fixed.
The fix will have zero effect on the actual code being used.
Comment 2 RHEL Product and Program Management 2012-05-03 01:36:32 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 3 Elio Maldonado Batiz 2012-10-25 13:52:09 EDT
This patch was applied upstream and is included in the sources. We have rebased to nss-3.14 and the patch is no longer needed and we no longer carry it. The problem has been fixed with the rebase to 3.14.

Note You need to log in before you can comment on or make changes to this bug.